import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GoogleChromeBrowserLogoLight from './GoogleChromeBrowserLogoLight';
import GoogleChromeBrowserLogoDark from './GoogleChromeBrowserLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GoogleChromeBrowserLogoSvg = forwardRef(function GoogleChromeBrowserLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GoogleChromeBrowserLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GoogleChromeBrowserLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GoogleChromeBrowserLogoSvg;
